package cn.superdesk.uniorder.service.operationCenter.order;

import cn.superdesk.uniorder.dao.entity.operationCenter.OperationCenterPayment;
import cn.superdesk.uniorder.dto.param.operationCenter.payment.OperationCenterPayParam;
import cn.superdesk.uniorder.dto.vo.operationCenter.base.OperationCenterVo;
import cn.superdesk.uniorder.dto.vo.operationCenter.payment.OperationCenterPaymentVo;
import cn.superdesk.uniorder.service.base.BaseService;

import java.util.List;
import java.util.Map;

/**
 * @Author : zx
 * @Create : 2023/3/27 09:10
 * Description :
 */
public interface OperationCenterPaymentService extends BaseService<OperationCenterPayment> {
    List<OperationCenterPaymentVo> getOperationCenterPaymentList(OperationCenterPayParam param);

    List<OperationCenterVo> getPaymentByOperatorId();

    OperationCenterPayment getPaymentByPayName(Map<String, Object> conditions);
}
